gnutls_session_get_id(3)

NAME
gnutls_session_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_id(gnutls_session_t session, void * session_id, size_t * session_id_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

void * session_id
    is a pointer to space to hold the session id.

size_t * session_id_size
    initially should contain the maximum session_id size and will be updated.

DESCRIPTION
Returns the current session ID. This can be used if you want to check if the next session you tried to resume was actually resumed. That is because resumed sessions share the same session ID with the original session. The session ID is selected by the server, that identify the current session. In TLS 1.0 and SSL 3.0 session id is always less than 32 bytes.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/